API ReferenceapicontentGET /v1/protocol-details/{slug}

GET /v1/protocol-details/\{slug\}

Service: content · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • slug (string) required

Query parameters

  • brandId (string) —

Responses

200 Protocol detail content stub

{
  "type": "object",
  "properties": {
    "id": {
      "anyOf": [
        {
          "type": "string"
        },
        {
          "type": "number"
        }
      ]
    },
    "name": {
      "type": "string"
    },
    "slug": {
      "type": "string"
    },
    "brandId": {
      "type": "string"
    },
    "description": {
      "type": "string"
    },
    "heroImageUrl": {
      "type": "string"
    },
    "discussionTag": {
      "type": "string"
    },
    "relatedCompounds": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "slug": {
            "type": "string"
          }
        },
        "required": [
          "slug"
        ]
      }
    },
    "overviewCards": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "title",
          "description"
        ]
      }
    },
    "schedule": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "label": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "label",
          "description"
        ]
      }
    },
    "goals": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "title",
          "description"
        ]
      }
    },
    "stack": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "kind": {
            "type": "string",
            "enum": [
              "peptide",
              "supplement"
            ]
          },
          "compoundSlug": {
            "type": [
              "string",
              "null"
            ]
          },
          "title": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "kind",
          "title",
          "description"
        ]
      }
    },
    "timeline": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "weekLabel": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "weekLabel",
          "description"
        ]
      }
    },
    "references": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "title": {
            "type": "string"
          },
          "url": {
            "type": "string"
          },
          "doi": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "title",
          "url"
        ]
      }
    },
    "status": {
      "type": "string"
    },
    "createdAt": {
      "type": "string"
    },
    "updatedAt": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "name",
    "slug",
    "brandId",
    "description",
    "heroImageUrl",
    "discussionTag",
    "relatedCompounds",
    "overviewCards",
    "schedule",
    "goals",
    "stack",
    "status",
    "createdAt",
    "updatedAt"
  ]
}

404 Protocol detail content not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    }
  },
  "required": [
    "error"
  ]
}

Example

curl -X GET https://content.platform.loop.health/v1/protocol-details/{slug} \
  -H "Authorization: Bearer $ACCESS_TOKEN"